package org.eclipse.jdt.internal.compiler.ast;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.util.Util;

class Decode {
  public final String constant(int code) {
    switch (code) {
      case 5:
        return "true";
      case 3:
        return "((byte) 3)";
      case 2:
        return "'A'";
      case 8:
        return "300.0d";
      case 9:
        return "100.0f";
      case 10:
        return "1";
      case 7:
        return "7L";
      case 11:
        return "\"hello-world\"";
      case 12:
        return "null";
      case 4:
        return "((short) 5)";
      case 1:
        return "null";
    } 
    return Util.EMPTY_STRING;
  }
  
  public final String type(int code) {
    switch (code) {
      case 5:
        return "z";
      case 3:
        return "b";
      case 2:
        return "c";
      case 8:
        return "d";
      case 9:
        return "f";
      case 10:
        return "i";
      case 7:
        return "l";
      case 11:
        return "str";
      case 12:
        return "null";
      case 4:
        return "s";
      case 1:
        return "obj";
    } 
    return "xxx";
  }
  
  public final String operator(int operator) {
    switch (operator) {
      case 18:
        return "==";
      case 5:
        return "<=";
      case 7:
        return ">=";
      case 10:
        return "<<";
      case 17:
        return ">>";
      case 19:
        return ">>>";
      case 1:
        return "||";
      case 0:
        return "&&";
      case 14:
        return "+";
      case 13:
        return "-";
      case 11:
        return "!";
      case 16:
        return "%";
      case 8:
        return "^";
      case 2:
        return "&";
      case 15:
        return "*";
      case 3:
        return "|";
      case 12:
        return "~";
      case 9:
        return "/";
      case 6:
        return ">";
      case 4:
        return "<";
    } 
    return "????";
  }
}
